"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sortersSequence_1 = require("./sortersSequence");
const nestingComparator_1 = require("./nestingComparator");
const moduleSorter_1 = require("./moduleSorter");
function default_1(styleApi) {
    const { isAbsoluteModule, member, unicode, isInstalledModule, always, startsWith, moduleName, name, and, } = styleApi;
    const defaultSorter = sortersSequence_1.sortersSequence(member(unicode), moduleSorter_1.moduleSorter(unicode));
    return [
        {
            match: and(isInstalledModule(__filename), moduleName(startsWith("react"))),
            sort: defaultSorter,
            sortNamedMembers: name(unicode),
        },
        {
            match: isInstalledModule(__filename),
            sort: defaultSorter,
            sortNamedMembers: name(unicode),
        },
        { separator: true },
        {
            match: isAbsoluteModule,
            sort: defaultSorter,
            sortNamedMembers: name(unicode),
        },
        { separator: true },
        {
            match: always,
            sort: sortersSequence_1.sortersSequence(moduleSorter_1.moduleSorter(nestingComparator_1.nestingComparator), defaultSorter),
            sortNamedMembers: name(unicode),
        }
    ];
}
exports.default = default_1;
